For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • POSTTrigger an immediate IMAP poll
      • POSTStart IMAP polling
      • GETGet IMAP polling status
      • POSTStop IMAP polling
      • POSTSend a test email via SMTP
      • POSTVerify IMAP + SMTP connection
Dashboard
LogoLogo
Runtype APIEmail IMAP

Send a test email via SMTP

POST
/v1/messaging/imap/:surfaceId/test-send
POST
/v1/messaging/imap/:surfaceId/test-send
$curl -X POST https://api.runtype.com/v1/messaging/imap/surfaceId/test-send \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "fromAddress": "no-reply@example.com",
> "smtpHost": "smtp.example.com",
> "smtpPassword": "S3cureP@ssw0rd!",
> "smtpUsername": "smtp_user",
> "to": "user@example.org"
>}'
1{
2 "success": true,
3 "messageId": "abc123def456ghi789"
4}
Sends a test email through the supplied SMTP configuration to confirm delivery works.
Was this page helpful?
Previous

Verify IMAP + SMTP connection

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

surfaceIdstringRequired

Request

This endpoint expects an object.
fromAddressstringRequiredformat: "email"
smtpHoststringRequired>=1 character
smtpPasswordstringRequired>=1 character
smtpUsernamestringRequired>=1 character
tostringRequiredformat: "email"
fromNamestringOptional
smtpPortintegerOptional1-65535Defaults to 587
smtpSecurebooleanOptional

Response

Test email sent
successboolean
messageIdstring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error